Page MenuHomePhabricator

Link elements with data-mw attributes are adapted as Links instead of templates
Closed, ResolvedPublic

Description

Example: The following <a> tag in the first paragraph of en:Vantaa

<a about="#mwt8" class="cx-link"
                data-linkid="220" data-mw="{&quot;parts&quot;:[{&quot;template&quot;:{&quot;target&quot;:{&quot;wt&quot;:&quot;lang-sv&quot;,&quot;href&quot;:&quot;./Template:Lang-sv&quot;},&quot;params&quot;:{&quot;1&quot;:{&quot;wt&quot;:&quot;Vanda&quot;}},&quot;i&quot;:0}}]}"
                href="./Swedish_language" id="mwCQ" rel="mw:WikiLink" title="Swedish language" typeof="mw:Transclusion"
                data-ve-no-generated-contents="true">Swedish</a>

Event Timeline

santhosh created this task.Oct 15 2018, 6:04 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 15 2018, 6:04 PM

Change 467436 had a related patch set uploaded (by Santhosh; owner: Santhosh):
[mediawiki/services/cxserver@master] Do not mistake template links as normal wiki links

https://gerrit.wikimedia.org/r/467436

santhosh renamed this task from Link lements with data-mw attributes are adapted as Links instead of templates to Link elements with data-mw attributes are adapted as Links instead of templates.Oct 15 2018, 6:12 PM
santhosh claimed this task.

Change 467436 merged by jenkins-bot:
[mediawiki/services/cxserver@master] Do not mistake template links as normal wiki links

https://gerrit.wikimedia.org/r/467436

Mentioned in SAL (#wikimedia-operations) [2018-10-22T04:31:52Z] <kartik@deploy1001> Started deploy [cxserver/deploy@904151f]: Update cxserver to eee8974 (T207070, T203077, T199529)

Mentioned in SAL (#wikimedia-operations) [2018-10-22T04:37:35Z] <kartik@deploy1001> Finished deploy [cxserver/deploy@904151f]: Update cxserver to eee8974 (T207070, T203077, T199529) (duration: 05m 42s)

Pginer-WMF closed this task as Resolved.Oct 30 2018, 8:21 AM